### Name: BestReg
### Title: Best all subsets regression using AIC, BIC or UBIC
### Aliases: BestReg
### Keywords: models regression

### ** Examples

#Example 1
#prostate data example
data(prostate)
BestReg(prostate)

#Example 2
#using 
#See documentation for built-in dataset: "mtcars"
#The output variable, mpg, is in the first column so we need to re-order.
#There are 11 columns, put mpg last
data(mtcars)
mtcars.df<-mtcars[,c(2:11, 1)]
ans1<-BestReg(mtcars.df)
summary(ans1)
ans2<-BestReg(mtcars.df, Criterion="BIC")
summary(ans2)
ans3<-BestReg(mtcars.df, Criterion="AIC")
summary(ans3)

#Example 3
#white noise test. UBIC selects none. AIC selects one.
set.seed(32179)
p<-10   #number of inputs
n<-100  #number of observations
X<-matrix(rnorm(n*p), ncol=p)
y<-rnorm(n)
Xy.df<-as.data.frame(cbind(X,y))
names(Xy.df)<-c(paste("X",1:p,sep=""),"y")
ansUBIC<-BestReg(Xy.df)
ansAIC<-BestReg(Xy.df, Criterion="AIC")



